Cyberduck Mountain Duck CLI

#8649 closed enhancement (duplicate)

Connect using HTTP Proxy

Reported by: seanlv Owned by: dkocher
Priority: normal Milestone: 4.7
Component: sftp Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.9

Description

Hello All

When i connect a sftp server via proxy, it says

ncorrect identification: line too long. The connection attempt was rejected. The server may be down, or your network may not be properly configured.

The proxy connection is controlled by a application named MacProxy, which I pre-define the HTTP CONNECT Proxy. Then All application should connect internet via the provided proxy server. I also tried to SSH to the same server in iTerm and Terminal. All of them could be successful, with MacProxy provided proxy.

I believe it's a bug of Cyberduck, and hope it could be fixed ASAP

Attachments (2)

Screen Shot 2015-03-10 at 19.39.42.png (235.6 KB) - added by seanlv on Mar 10, 2015 at 11:40:49 AM.
MACProxy on my MAC
Screen Shot 2015-03-10 at 19.39.52.png (77.0 KB) - added by seanlv on Mar 10, 2015 at 11:41:14 AM.
Error Msg of CyberDuck

Download all attachments as: .zip

Change History (5)

Changed on Mar 10, 2015 at 11:40:49 AM by seanlv

MACProxy on my MAC

Changed on Mar 10, 2015 at 11:41:14 AM by seanlv

Error Msg of CyberDuck

comment:1 Changed on Mar 10, 2015 at 9:44:00 PM by dkocher

  • Summary changed from sftp issue over proxy to Connect using HTTP Proxy
  • Type changed from defect to enhancement

comment:2 Changed on Mar 11, 2015 at 8:20:59 PM by dkocher

  • Milestone set to 4.7
  • Owner changed from 劼吕 to dkocher
  • Status changed from new to assigned

comment:3 Changed on Mar 30, 2015 at 12:31:56 PM by dkocher

  • Priority changed from high to normal
  • Resolution set to duplicate
  • Status changed from assigned to closed

In r17171. Duplicate for #76.

Note: See TracTickets for help on using tickets.
swiss made software